Summary: Panel applet for indication that newer Red Hat packages are available
License: GPL
Group: System Environment/Base
Source0: %{name}-%{version}.tar.gz
Source1: version
Name: rhn-applet
URL: https://rhn.redhat.com/
Version: %(echo `awk '{ print $1 }' %{SOURCE1}`)
Release: %(echo `awk '{ print $2 }' %{SOURCE1}`)
BuildRoot: %{_tmppath}/%{name}-root
Requires: python >= 1.5.2-27
Requires: rpm >= 4.0.0
Requires: rpm-python >= 4.0.3-1
Requires: python-xmlrpc >= 1.5.0
Requires: pygnome-libglade
Requires: pygnome-applet
Requires: pygtk >= 0.6.9-3
Requires: pygnome >= 1.4.2-3
Requires: up2date-gnome
Requires: rhn_register-gnome >= 2.7.17
Requires: pygnome-gtkhtml

# should be provided by up2date or up2date-gnome, but just to be sure...
Requires: /usr/share/rhn/RHNS-CA-CERT

# for uuidgen, we need:
Requires: e2fsprogs

BuildArch: noarch

%description
Panel applet for indication that newer Red Hat packages are available.

%prep
%if %{?RHNdevel:1}%{!?RHNdevel:0} 
%setup -c -q
%else 
%setup -q 
%endif 

%build
make

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT

%find_lang %{name}

%post
UUID=$(/usr/bin/uuidgen -t)
perl -p -i -e "s/UNSPECIFIED/$UUID/g" /etc/sysconfig/rhn/rhn-applet

%clean
rm -fr $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
/usr/bin/rhn-needed-packages
/usr/bin/rhn-applet
/usr/share/rhn/rhn_applet/*.py
/usr/share/rhn/rhn_applet/*.pyc
/usr/share/rhn/rhn_applet/*.glade
/usr/share/rhn/rhn_applet/*.png
/usr/share/pixmaps/*
/usr/share/applets/Monitors/rhn-applet.desktop
/etc/CORBA/servers/rhn-applet.gnorba
%config(noreplace) /etc/sysconfig/rhn/rhn-applet
%doc doc/*

%changelog
* Tue Apr 16 2002 Chip Turner <cturner@redhat.com>
- merge new translations; doc update; consistent use of same name

* Mon Apr 15 2002 Chip Turner <cturner@redhat.com>
- bugfixes
- i18n improvement
- i18n merg, more fixes

* Sat Apr 13 2002 Chip Turner <cturner@redhat.com>
- shuffle some functions around to simplify logic

* Fri Apr 12 2002 Chip Turner <cturner@redhat.com>
- added new image
- subdue visual alert if user has seen the report
- addition of watermark image for first time druid

* Fri Apr 12 2002 Chip Turner <cturner@redhat.com>
- merged tfox's help, added better exception catching
- graphics improvements, behavior adjustment

* Fri Apr 12 2002 Tammy Fox <tfox@redhat.com>
- added help
- replace @VERSION@ with version from spec file

* Thu Apr 11 2002 Chip Turner <cturner@redhat.com>
- add dependency on RHNS cert

* Thu Apr 11 2002 Chip Turner <cturner@redhat.com>
- stupid bugfix in state machine code

* Thu Apr 11 2002 Chip Turner <cturner@redhat.com>
- improve error handling, add error icon, bugfixes

* Wed Apr 10 2002 Chip Turner <cturner@redhat.com>
- bug fixes and text update to terms page

* Tue Apr  9 2002 Chip Turner <cturner@redhat.com>
- major bug fixes for proxy code, improved config dialog

* Tue Apr  9 2002 Chip Turner <cturner@redhat.com>
- add proxy support and config dialog
- move initial consent message to the config dialog druid

* Mon Apr  8 2002 Chip Turner <cturner@redhat.com>
- i18n update, graphics touchup

* Fri Apr  5 2002 Chip Turner <cturner@redhat.com>
- resized images to support 36x36 panel
- put icon on menu

* Fri Apr  5 2002 Chip Turner <cturner@redhat.com>
- minor graphical glitch updades

* Fri Apr  5 2002 Chip Turner <cturner@redhat.com>
- major core update to support antialiased pixmap icon

* Thu Mar 14 2002 Chip Turner <cturner@redhat.com>
- added proper Requires, changed to noarch

* Wed Mar 13 2002 Chip Turner <cturner@redhat.com>
- Initial creation, stolen from up2date spec

